INSERT INTO agents (name, dir_name, package_name, minimal_version, dev_type, show_in_shortcut, description) VALUES
('Advantech routers', 'agent_advantech', 'adwarfg_advantech.tgz', '6.2.0', 2, true, 'Supports V2, V2i, V3 and V4 running ConelOS/ICR OS'),
("Teltonika routers - only monitoring", 'agent_teltonika', 'adwarfg_teltonika.ipk', NULL, 4, true, 'Monitoring only functionality, server certificate check is disabled.'),
("OpenWRT - only monitoring", 'agent_owrt', 'adwarfg_owrt.ipk', NULL, 3, true, 'Needs installing openssh-client for tunnels on the OpenWRT system, otherwise monitoring-only. Server certificate check is disabled.'),
('GNU/Linux (generic)', 'agent_linux', 'adwarfg_linux.tgz', NULL, 1, true, 'Generic Linux agent with systemd/initd integration. Cmdline installation.'),
("Teltonika routers - cmdline, mon. only", 'agent_teltonika', 'adwarfg_teltonika.tgz', NULL, 4, false, 'Cmdline install. Needs installing openssh-client for tunnels on the Teltonika system. Server certificate check is disabled.'),
("OpenWRT - cmdline, mon. only", 'agent_owrt', 'adwarfg_owrt.tgz', NULL, 3, false, 'Cmdline install. Needs installing openssh-client for tunnels on the OpenWRT system. Server certificate check is disabled.'),
("AAD - automated agent deployment tool", 'aad', 'push_agent.py', NULL, 1, false, 'A command-line level Python tool to automate mass device installation. See documentation before experimenting.');

INSERT INTO agent_device_type_map (agent_id, device_type_id) VALUES (1, 2), (2, 1), (3, 3), (4, 4);

INSERT INTO agent_versions (dev_type, version_major, version_minor, version_patchlevel, actual) VALUES
(1, 0, 9, 8, true),
(2, 0, 9, 8, true),
(3, 0, 9, 8, true),
(4, 0, 9, 8, true);

INSERT INTO product_versions (id, actual, version_major, version_minor, version_patchlevel, version_string, major, beta, notification, force_display, release_date, description) values
(2, true, 0, 8, 1, 'Early3 patch1', false, false, true, true, '2024-03-10',
'<h5>Patch release notes</h5>'
'<h6>Server:</h6><ul>'
'<li>New column in devices table to show/search for device IP address.</li>'
'<li>Updated URL for Advantech firmware.</li>'
'</ul><h6>Agents:</h6><ul>'
'</ul>'),
(1, false, 0, 8, 0, 'Early3', false, false, true, true, '2023-11-15',
'<h5>Patch release notes</h5>'
'<h6>Server:</h6><ul>'
'<li>Introduced agent profiles - 3 default profiles (editable)</li>'
'<li>Implemented mass assignement of agent profile to devices</li>'
'<li>UI interface for server preferences (dwarfg.ini)</li>'
'<li>Clickable dashboard subgroups - composite lights for every monitoring group now leads on device/alert listing</li>'
'<li>Initial support for Teltonika devices (monitoring and alerting on supported metrics)</li>'
'<li>Added list of devices for past alerts</li>'
'<li>Automatically merge device with existing device entry after agent reinstall on known device by recognizing Machine ID</li>'
'<li>Command-line interface (dwarfg_* commands) integrated into /usr/bin/</li>'
'<li>Improved agent push script + support for Teltonika and OpenWRT device push</li>'
'<li>Layout of Devices table is now customizable.</li>'
'<li>Added (searchable, sortable) server-side notes (note1 to note3) for all devices.</li>'
'<li>Log message throttling system - enabled on production builds, see dwarflib_cfg.txt, parameters DBG_THROTTLE and DBG_THR_INT</li>'
'</ul><h6>Agents:</h6><ul>'
'<li>Introduced Machine ID for unique machine identification for all device types</li>'
'<li>Support Teltonika devices</li>'
'<li>IPK packages support for OpenWRT and Teltonika</li>'
'<li>Shortened time of Webtunnel setup for Advantech routers</li>'
'<li>Improved detection of FW name for Advantech routers</li>'
'</ul>');

INSERT INTO product_flags(id, version, description) values ('buildtag', 1, 'v0.8.1');
INSERT INTO product_flags(id, version, description) values ('about_info', 1, 'Dwarfguard - Monitoring, Alerting, Management and Automation System

Build tag: v0.8.1
Build date: 2024_03_09__20_54_15

Build components:
(mamas): v0.8.1
(mamasbig): v0.8.1
(mamasweb): v0.8.1
(mamasnotify): v0.8.1');
