<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * @ORM\Entity
 * @ORM\Table(name="liveness_misscount")
 */
class LivenessMisscount
{
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=64, nullable=false)
     */
    public string $description;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\DeviceStats", mappedBy="liveMissCount", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $devicesStats;

    /**
     * LivenessMisscount constructor
     */
    public function __construct(){

        $this->devicesStats = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int {

        return $this->id;

    }

    /**
     * @return string
     */
    public function getDescription(): string {

        return $this->description;

    }

}