<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="typetable_operators")
 */
class TypesOperator
{
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=32, nullable=false, unique=true)
     */
    public string $name;

    /**
     * @var string|null
     * @ORM\Column(name="oper_txt", type="string", length=10, nullable=true, unique=true)
     */
    public ?string $operatorText;

    /**
     * @var string|null
     * @ORM\Column(name="oper_txt2", type="string", length=10, nullable=true, unique=true)
     */
    public ?string $operatorText2;

    /**
     * @var string|null
     * @ORM\Column(name="oper_txt3", type="string", length=10, nullable=true, unique=true)
     */
    public ?string $operatorText3;

    /**
     * @var int|null
     * @ORM\Column(type="integer", nullable=true)
     */
    public ?int $operands;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\Alert\Alert", mappedBy="operFirst", cascade={"persist"})
     * @ORM\JoinColumn(name="oper_first")
     */
    public Collection $alertsOperFirst;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\Alert\Alert", mappedBy="operSecond", cascade={"persist"})
     * @ORM\JoinColumn(name="oper_second")
     */
    public Collection $alertsOperSecond;

    /**
     * OperatorType constructor
     */
    public function __construct() {

        $this->alertsOperFirst = new ArrayCollection();
        $this->alertsOperSecond = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName(): string{

        return $this->name;

    }

    /**
     * @return string
     */
    public function getOperatorText(): string {

        return $this->operatorText;

    }

    /**
     * @return string
     */
    public function getOperatorText2(): ?string {

        return $this->operatorText2;

    }

    /**
     * @return string
     */
    public function getOperatorText3(): ?string {

        return $this->operatorText3;

    }

    public function getOperands(): int{

        return $this->operands;

    }

}