<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="typetable_value_types")
 */
class TypesValueType
{
    
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=64, nullable=false, unique=true)
     */
    public string $name;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="ProductConf", mappedBy="valType", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $productConfigs;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\Alert\AlertTargetSpec", mappedBy="valType", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $alertTargetSpecs;

    /**
     * ValueType constructor
     */
    public function __construct() {

        $this->productConfigs = new ArrayCollection();
        $this->alertTargetSpecs = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName(): string{

        return $this->name;

    }

}