<?php

namespace App\Form\Device;

use App\Entity\Device;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;

class FwVersionType extends AbstractType
{

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options){

        $osVersions = $options['data']['osVersions'];
        $showNoSpecific = $options['data']['showNoSpecific'];
        /** @var Device $device */
        $device = $options['data']['device'];

        $choices = [];

        foreach ($osVersions as $version) {

            $choices[$version->getVersion()] = $version->getId();

        }

        if($osVersions){

            $builder
                ->add('fw_version', ChoiceType::class ,array(
                    'choices' => $choices,
                    'data' => (!is_null($device->getOsVer())) ? $device->getOsVer()->getId() : null,
                ))
                ->add('save', SubmitType::class, ['label' => 'Set new version',
                    'block_prefix' => 'modal_footer'])
            ;

        }

        if($showNoSpecific){

            $builder->add('no_specific', SubmitType::class, ['label' => 'No specific version']);

        }


    }

}